Este foro usa cookies
Este foro utiliza cookies para almacenar su información de inicio de sesión si está registrado y su última visita si no lo está. Las cookies son pequeños documentos de texto almacenados en su computadora; las cookies establecidas por este foro solo se pueden usar en este sitio web y no representan ningún riesgo de seguridad. Las cookies en este foro también rastrean los temas específicos que ha leído y la última vez que los leyó. Si Ud. continúa navegando, entenderemos que acepta todas las cookies.

Se almacenará una cookie en su navegador, independientemente de la elección, para evitar que se le vuelva a hacer esta pregunta. Podrá cambiar la configuración de sus cookies en cualquier momento utilizando el enlace en el pie de página.

El foro antiguo se encuentra accesible desde https://foro.gambas-es.org en modo de solo lectura.

Calificación:
  • 0 voto(s) - 0 Media
  • 1
  • 2
  • 3
  • 4
  • 5

[Resuelto] Problema con robot y python adafruit
#1

Alguien sabe como resolver esto ?

Me monte un robot de rasptank lo he montado todo va bien pero al momento de instalar el setup.py que trae en el robot me da errores y al conectar por ssh y intentar levantar el servidor de comunicacion via browser del robot via una maquina externa me da este error →
Cita:sudo python3 adeept_rasptank/server/webServer.py
Traceback (most recent call last):
  File "/home/pi/adeept_rasptank/server/webServer.py", line 14, in <module>
    import RPIservo
  File "/home/pi/adeept_rasptank/server/RPIservo.py", line 17, in <module>
    pwm = Adafruit_PCA9685.PCA9685()
  File "/usr/local/lib/python3.9/dist-packages/Adafruit_PCA9685-1.0.1-py3.9.egg/Adafruit_PCA9685/PCA9685.py", line 74, in __init__
  File "/usr/local/lib/python3.9/dist-packages/Adafruit_GPIO-1.0.4-py3.9.egg/Adafruit_GPIO/I2C.py", line 66, in get_i2c_device
  File "/usr/local/lib/python3.9/dist-packages/Adafruit_GPIO-1.0.4-py3.9.egg/Adafruit_GPIO/I2C.py", line 98, in __init__
ModuleNotFoundError: No module named 'Adafruit_PureIO'

No se que problema es.

[Imagen: 300120221252.jpg]


No tengo mucha idea que problema podria ser he intentado instalar adafruit pero me da otro error →
Cita:$ sudo pip install Adafruit-PureIO
Looking in indexes: https://pypi.org/simple, https://www.piwheels.org/simple
ERROR: Exception:
Traceback (most recent call last):
  File "/usr/local/lib/python3.9/dist-packages/pip/_internal/cli/base_command.py", line 165, in exc_logging_wrapper
    status = run_func(*args)
  File "/usr/local/lib/python3.9/dist-packages/pip/_internal/cli/req_command.py", line 205, in wrapper
    return func(self, options, args)
  File "/usr/local/lib/python3.9/dist-packages/pip/_internal/commands/install.py", line 339, in run
    requirement_set = resolver.resolve(
  File "/usr/local/lib/python3.9/dist-packages/pip/_internal/resolution/resolvelib/resolver.py", line 94, in resolve
    result = self._result = resolver.resolve(
  File "/usr/local/lib/python3.9/dist-packages/pip/_vendor/resolvelib/resolvers.py", line 481, in resolve
    state = resolution.resolve(requirements, max_rounds=max_rounds)
  File "/usr/local/lib/python3.9/dist-packages/pip/_vendor/resolvelib/resolvers.py", line 348, in resolve
    self._add_to_criteria(self.state.criteria, r, parent=None)
  File "/usr/local/lib/python3.9/dist-packages/pip/_vendor/resolvelib/resolvers.py", line 172, in _add_to_criteria
    if not criterion.candidates:
  File "/usr/local/lib/python3.9/dist-packages/pip/_vendor/resolvelib/structs.py", line 151, in __bool__
    return bool(self._sequence)
  File "/usr/local/lib/python3.9/dist-packages/pip/_internal/resolution/resolvelib/found_candidates.py", line 155, in __bool__
    return any(self)
  File "/usr/local/lib/python3.9/dist-packages/pip/_internal/resolution/resolvelib/found_candidates.py", line 143, in <genexpr>
    return (c for c in iterator if id© not in self._incompatible_ids)
  File "/usr/local/lib/python3.9/dist-packages/pip/_internal/resolution/resolvelib/found_candidates.py", line 44, in _iter_built
    for version, func in infos:
  File "/usr/local/lib/python3.9/dist-packages/pip/_internal/resolution/resolvelib/factory.py", line 294, in iter_index_candidate_infos
    result = self._finder.find_best_candidate(
  File "/usr/local/lib/python3.9/dist-packages/pip/_internal/index/package_finder.py", line 868, in find_best_candidate
    candidates = self.find_all_candidates(project_name)
  File "/usr/local/lib/python3.9/dist-packages/pip/_internal/index/package_finder.py", line 809, in find_all_candidates
    page_candidates = list(page_candidates_it)
  File "/usr/local/lib/python3.9/dist-packages/pip/_internal/index/sources.py", line 134, in page_candidates
    yield from self._candidates_from_page(self._link)
  File "/usr/local/lib/python3.9/dist-packages/pip/_internal/index/package_finder.py", line 773, in process_project_url
    page_links = list(parse_links(html_page, self._use_deprecated_html5lib))
  File "/usr/local/lib/python3.9/dist-packages/pip/_internal/index/collector.py", line 310, in wrapper_wrapper
    return list(fn(page, use_deprecated_html5lib))
  File "/usr/local/lib/python3.9/dist-packages/pip/_internal/index/collector.py", line 350, in parse_links
    parser.feed(page.content.decode(encoding))
  File "/usr/lib/python3.9/html/parser.py", line 110, in feed
    self.goahead(0)
  File "/usr/lib/python3.9/html/parser.py", line 178, in goahead
    k = self.parse_html_declaration(i)
  File "/usr/lib/python3.9/html/parser.py", line 269, in parse_html_declaration
    self.handle_decl(rawdata[i+2:gtpos])
  File "/usr/local/lib/python3.9/dist-packages/pip/_internal/index/collector.py", line 405, in handle_decl
    self._raise_error()
  File "/usr/local/lib/python3.9/dist-packages/pip/_internal/index/collector.py", line 426, in _raise_error
    raise ValueError(
ValueError: HTML doctype missing or incorrect. Expected <!DOCTYPE html>.

If you believe this error to be incorrect, try passing the command line option --use-deprecated=html5lib and please leave a comment on the pip issue at https://github.com/pypa/pip/issues/10825.

Si alguien sabe que puede ser o si supiera decirme si es problema de software o bien seria algo de mi montaje decidmelo, muchas gracias.
    ¡Gracias!
#2

Portaro:

Puede ser un problema de versiones del software que estas instalando, que sea antigüo...., tendrias que buscar una versión más actual...

Tambien mirate foros adeept_rasptank, aqui hablan de tu problema, a ver si sacas algo en claro.
https://www.adeept.com/forum/thread-276-1-1.html


Saludos

Julio
[-] Los siguientes 1 usuarios dice gracias a jsbsan por este post:
  • portaro
    ¡Gracias!
#3

Muchas gracias Maestro, como no mi maestro siempre dadome una ayuda, mil gracias por acompañarme en este problema.

He contactado directamente con adeept, porque me lie a montar y desmontar el robot y revise el material de ensamblage y no vi ningun problema que haya cometido yo, asi pues decidi mandarles un correo y ellos me respondieron ya diciendome que como bien dices Julio es un problema conocido del software pero no es tema de un software más nuevo sino todo lo contrario - seria más viejo y una mezcla una vez más de bibliotecas de software que son removidas de Debian y que hacen que programas no se consigan usar.

Ahora mismo estoy bajando una imagen que me enviaron de una .img de raspberry para instalar pues me deron esa solucion o sea ellos tienen una imagen que esta bloqueada del tiempo de 202 o por ese tiempo en que todo esta estable y usable, la bajare y contare cosas por aqui.

Una vez más diste en el clavo Julio es justo eso que comentas el software.

Gracias y al experimentar esa imagen dejare por aqui el resultado y ya que estamos si alguien tiene la idea de montar robots asi siempre intentare tambie ayudar.

Mil gracias !
    ¡Gracias!
#4

Actualizando el robot con la imagen downgradeada de Debian funciona perfectamente.

Asi pues tema resuelto, muchas gracias por vuestra ayuda.
    ¡Gracias!


Posibles temas similares…
Tema / Autor Respuestas Vistas Último mensaje
Último mensaje por Shell
20-10-2021, 12:09

Salto de foro:


Usuarios navegando en este tema: 1 invitado(s)